
//
// Mining module for TETDM 
// MiningStyle.java Version 0.30 
// This is one of the sample modules.
// You should read the README file.
//

package module.MiningModules.MiningStyle;		// Replace ALL [MiningStyle] with your [module name]

import source.*;
import source.TextData.*;
//import source.Utility.*;

//import java.awt.event.*;

public class MiningStyle extends MiningModule //implements ActionListener
{
	public MiningStyle()
	{
		setModuleID(0);						// Set your module ID after you have got it
		pairingVisualizationID = new int[8];
		pairingVisualizationID[0] = 0;		
		pairingVisualizationID[1] = 1005;
		pairingVisualizationID[2] = 1009;
		pairingVisualizationID[3] = 1013;
		pairingVisualizationID[4] = 1015;
		pairingVisualizationID[5] = 1016;
		pairingVisualizationID[6] = 1017;
		pairingVisualizationID[7] = 1018;
	}
	
	public void initializePanel(){}

	/*
	public void initializeData()
	{
		setPanelModuleID = new int[]{};
		setPanelVisualizationID = new int[]{};		
	}
	*/
	
	public void miningOperations(int optionNumber)
	{
		switch(optionNumber)
		{
			case 0:			
				break;
		}
	}	

	/*
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource() == panelSetButton)
			panelSet();
	}
	 */

}
